Отсутствует libarchive во время ручной сборки Ardour на macOS после установки с brew

Я просто пытаюсь вручную построить Ardour на macOS Sierra. Я использую это официальное руководство. Я в ./waf configure. Вот что я получаю:

$ ./waf configure
Setting top to                           : /Users/me/GitRepos/GitHub/5.5 
Setting out to                           : /Users/me/GitRepos/GitHub/5.5/build 
Checking for 'gcc' (c compiler)          : /usr/bin/gcc 
Checking for 'g++' (c++ compiler)        : /usr/bin/g++ 

Global Configuration 
 * Install prefix                                    : /usr/local 
 * Debuggable build                                  : True 
 * Build documentation                               : False 

Ardour Configuration 
 * Will build against private GTK dependency stack   : no 
 * Will use explicit linkage against libintl in /Users/me/gtk/inst : yes 
 * Will build against private Ardour dependency stack : no 
No Carbon support available for this build

Checking for function dlopen                         : yes 
Checking for boost library >= 1.39                   : ok 
Checking for program pkg-config                      : /usr/local/bin/pkg-config 
Checking for 'glib-2.0' >= 2.28                      : yes 
Checking for 'gthread-2.0' >= 2.2                    : yes 
Checking for 'glibmm-2.4' >= 2.32.0                  : yes 
Checking for 'sndfile' >= 1.0.18                     : yes 
Checking for 'giomm-2.4' >= 2.2                      : yes 
Checking for 'libcurl' >= 7.0.0                      : yes 
Checking for 'libarchive' >= 3.0.0                   : not found 
The configuration failed
(complete log in /Users/me/GitRepos/GitHub/5.5/build/config.log)
$ brew install libarchive
Updating Homebrew...
Warning: libarchive-3.2.2 already installed

у вас есть идеи, как продолжить установку? Я установил другие программы, такие как libcurl, glibmm, via brew:

==> Installing dependencies for glibmm: libsigc++

==> Installing dependencies for libsndfile: flac, libogg, libvorbis
==> Installing libsndfile
etc.

почему при установке не отображается libarchive-3.2.2? Спасибо за любой ответ!

изменить:
После использования port та же ситуация:

$ sudo port install libarchive
Password:
--->  Computing dependencies for libarchive
--->  Dependencies to be installed: bzip2 libiconv libxml2 xz gettext expat ncurses zlib lzo2 openssl
--->  Fetching archive for bzip2
--->  Attempting to fetch bzip2-1.0.6_0.darwin_16.x86_64.tbz2 from http://nue.de.packages.macports.org/bzip2
--->  Attempting to fetch bzip2-1.0.6_0.darwin_16.x86_64.tbz2.rmd160 from http://nue.de.packages.macports.org/bzip2
--->  Installing bzip2 @1.0.6_0
--->  Activating bzip2 @1.0.6_0
--->  Cleaning bzip2
--->  Fetching archive for libiconv
--->  Attempting to fetch libiconv-1.14_0.darwin_16.x86_64.tbz2 from http://nue.de.packages.macports.org/libiconv
--->  Attempting to fetch libiconv-1.14_0.darwin_16.x86_64.tbz2.rmd160 from http://nue.de.packages.macports.org/libiconv
--->  Installing libiconv @1.14_0
--->  Activating libiconv @1.14_0
--->  Cleaning libiconv
--->  Fetching archive for expat
--->  Attempting to fetch expat-2.2.0_0.darwin_16.x86_64.tbz2 from http://nue.de.packages.macports.org/expat
--->  Attempting to fetch expat-2.2.0_0.darwin_16.x86_64.tbz2.rmd160 from http://nue.de.packages.macports.org/expat
--->  Installing expat @2.2.0_0
--->  Activating expat @2.2.0_0
--->  Cleaning expat
--->  Fetching archive for ncurses
--->  Attempting to fetch ncurses-6.0_0.darwin_16.x86_64.tbz2 from http://nue.de.packages.macports.org/ncurses
--->  Attempting to fetch ncurses-6.0_0.darwin_16.x86_64.tbz2.rmd160 from http://nue.de.packages.macports.org/ncurses
--->  Installing ncurses @6.0_0
--->  Activating ncurses @6.0_0
--->  Cleaning ncurses
--->  Fetching archive for gettext
--->  Attempting to fetch gettext-0.19.8.1_0.darwin_16.x86_64.tbz2 from http://nue.de.packages.macports.org/gettext
--->  Attempting to fetch gettext-0.19.8.1_0.darwin_16.x86_64.tbz2.rmd160 from http://nue.de.packages.macports.org/gettext
--->  Installing gettext @0.19.8.1_0
--->  Activating gettext @0.19.8.1_0
--->  Cleaning gettext
--->  Fetching archive for xz
--->  Attempting to fetch xz-5.2.2_0.darwin_16.x86_64.tbz2 from http://nue.de.packages.macports.org/xz
--->  Attempting to fetch xz-5.2.2_0.darwin_16.x86_64.tbz2.rmd160 from http://nue.de.packages.macports.org/xz
--->  Installing xz @5.2.2_0
--->  Activating xz @5.2.2_0
--->  Cleaning xz
--->  Fetching archive for zlib
--->  Attempting to fetch zlib-1.2.8_0.darwin_16.x86_64.tbz2 from http://nue.de.packages.macports.org/zlib
--->  Attempting to fetch zlib-1.2.8_0.darwin_16.x86_64.tbz2.rmd160 from http://nue.de.packages.macports.org/zlib
--->  Installing zlib @1.2.8_0
--->  Activating zlib @1.2.8_0
--->  Cleaning zlib
--->  Fetching archive for libxml2
--->  Attempting to fetch libxml2-2.9.4_0.darwin_16.x86_64.tbz2 from http://nue.de.packages.macports.org/libxml2
--->  Attempting to fetch libxml2-2.9.4_0.darwin_16.x86_64.tbz2.rmd160 from http://nue.de.packages.macports.org/libxml2
--->  Installing libxml2 @2.9.4_0
--->  Activating libxml2 @2.9.4_0
--->  Cleaning libxml2
--->  Fetching archive for lzo2
--->  Attempting to fetch lzo2-2.09_0.darwin_16.x86_64.tbz2 from http://nue.de.packages.macports.org/lzo2
--->  Attempting to fetch lzo2-2.09_0.darwin_16.x86_64.tbz2.rmd160 from http://nue.de.packages.macports.org/lzo2
--->  Installing lzo2 @2.09_0
--->  Activating lzo2 @2.09_0
--->  Cleaning lzo2
--->  Fetching archive for openssl
--->  Attempting to fetch openssl-1.0.2j_0.darwin_16.x86_64.tbz2 from http://nue.de.packages.macports.org/openssl
--->  Attempting to fetch openssl-1.0.2j_0.darwin_16.x86_64.tbz2.rmd160 from http://nue.de.packages.macports.org/openssl
--->  Installing openssl @1.0.2j_0
--->  Activating openssl @1.0.2j_0
--->  Cleaning openssl
--->  Fetching archive for libarchive
--->  Attempting to fetch libarchive-3.2.2_0.darwin_16.x86_64.tbz2 from http://nue.de.packages.macports.org/libarchive
--->  Attempting to fetch libarchive-3.2.2_0.darwin_16.x86_64.tbz2.rmd160 from http://nue.de.packages.macports.org/libarchive
--->  Installing libarchive @3.2.2_0
--->  Activating libarchive @3.2.2_0
--->  Cleaning libarchive
--->  Updating database of binaries
--->  Scanning binaries for linking errors               
--->  No broken files found.
$ ./waf configure
Setting top to                           : /Users/me/GitRepos/GitHub/5.5 
Setting out to                           : /Users/me/GitRepos/GitHub/5.5/build 
Checking for 'gcc' (c compiler)          : /usr/bin/gcc 
Checking for 'g++' (c++ compiler)        : /usr/bin/g++ 

Global Configuration 
 * Install prefix                                    : /usr/local 
 * Debuggable build                                  : True 
 * Build documentation                               : False 

Ardour Configuration 
 * Will build against private GTK dependency stack   : no 
 * Will use explicit linkage against libintl in /Users/me/gtk/inst : yes 
 * Will build against private Ardour dependency stack : no 
No Carbon support available for this build

Checking for function dlopen                         : yes 
Checking for boost library >= 1.39                   : ok 
Checking for program pkg-config                      : /usr/local/bin/pkg-config 
Checking for 'glib-2.0' >= 2.28                      : yes 
Checking for 'gthread-2.0' >= 2.2                    : yes 
Checking for 'glibmm-2.4' >= 2.32.0                  : yes 
Checking for 'sndfile' >= 1.0.18                     : yes 
Checking for 'giomm-2.4' >= 2.2                      : yes 
Checking for 'libcurl' >= 7.0.0                      : yes 
Checking for 'libarchive' >= 3.0.0                   : not found 
The configuration failed
(complete log in /Users/me/GitRepos/GitHub/5.5/build/config.log)
$ sudo port install libarchive
--->  Computing dependencies for libarchive
--->  Cleaning libarchive
--->  Scanning binaries for linking errors
--->  No broken files found.
5
задан zperkowski
источник

1 ответов

Homebrew устанавливает libarchive как бочонок, поэтому вам нужно установить PKG_CONFIG_PATH.

попробовать

export PKG_CONFIG_PATH=/usr/local/Cellar/libarchive/3.2.2/lib/pkgconfig/ перед запуском ./waf configure

1
отвечен jimkranker 2017-01-07 02:46:51
источник

Другие вопросы build homebrew installation macos macos-sierra